get
https://your-url-here.com/ClaimAPI/claims
Body Response - Schema
200 OK
{
"_embedded": {
"claims": [
{
"id": "id_1",
"claim_number": "number_id_1",
"product": "product_name",
"policy_number": "123-4567-8910",
"claim_status": "closed",
"assigned_user": "assigned_user_1",
"loss_date": "2020-10-01T00:00:00.000Z",
"reported_date": "2020-10-01T00:00:00.000Z",
"custom_fields": [
{
"key": "claim_custom_fields",
"value": "000000"
}
]
}
]
},
"total": 1
}400's
ErrorInfo:
type: object
properties:
details:
type: array
items:
type: object
$ref: '#/definitions/ErrorDetails'
developerMessage:
type: string
errorCode:
type: string
status:
type: integer
userMessage:
type: string
definitions:
ErrorDetails:
type: object
properties:
message:
type: string
properties:
type: object
$ref: '#/definitions/ErrorDetailsProperties'
stackTrace:
type: string
ErrorDetailsProperties:
type: object
properties:
lineNumber:
type: integer
parameterLocation:
type: string
parameterName:
type: string
TroubleshootingIf you have any questions regarding the usage of this API, or if you’re having any technical issues, please open a ticket using this form.